import { jsx } from "react/jsx-runtime";
import { PushPin as PushPin$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const PushPin = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "PushPin", ...props, children: /* @__PURE__ */ jsx(PushPin$1, { weight: variant }) });
  }
);
PushPin.displayName = "PushPin";
Object.assign(PushPin, { isGdsIcon: true });
export {
  PushPin
};
